Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql
Class Template

    java.lang.Object
      org.hibernate.sql.Template

    public final class Template

extends Object

Parses SQL fragments specified in mapping documents

Author:
  Gavin King

Field Summary
`static String` | `TEMPLATE`

Method Summary
`static String` | `renderOrderByStringTemplate(String sqlOrderByString, Dialect dialect, SQLFunctionRegistry functionRegistry)` Takes order by clause provided in the mapping attribute and interpolates the alias.
`static String` | `renderWhereStringTemplate(String sqlWhereString, Dialect dialect, SQLFunctionRegistry functionRegistry)`
`static String` | `renderWhereStringTemplate(String sqlWhereString, String placeholder, Dialect dialect)` Deprecated. Only intended for annotations usage; use `renderWhereStringTemplate(String, String, Dialect, SQLFunctionRegistry)` instead
`static String` | `renderWhereStringTemplate(String sqlWhereString, String placeholder, Dialect dialect, SQLFunctionRegistry functionRegistry)` Takes the where condition provided in the mapping attribute and interpolates the alias.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEMPLATE

    public static final String TEMPLATE

See Also:
  Constant Field Values

Method Detail

### renderWhereStringTemplate

    public static String renderWhereStringTemplate(String sqlWhereString,
                                                   Dialect dialect,
                                                   SQLFunctionRegistry functionRegistry)

### renderWhereStringTemplate

    public static String renderWhereStringTemplate(String sqlWhereString,
                                                   String placeholder,
                                                   Dialect dialect)

  Deprecated. Only intended for annotations usage; use `renderWhereStringTemplate(String, String, Dialect, SQLFunctionRegistry)` instead

  Same functionality as `renderWhereStringTemplate(String, String, Dialect, SQLFunctionRegistry)`, except that a SQLFunctionRegistry is not provided (i.e., only the dialect-defined functions are considered). This is only intended for use by the annotations project until the many-to-many/map-key-from-target-table feature is pulled into core.

### renderWhereStringTemplate

    public static String renderWhereStringTemplate(String sqlWhereString,
                                                   String placeholder,
                                                   Dialect dialect,
                                                   SQLFunctionRegistry functionRegistry)

  Takes the where condition provided in the mapping attribute and interpolates the alias. Handles subselects, quoted identifiers, quoted strings, expressions, SQL functions, named parameters.

  Parameters:
    `sqlWhereString` - The string into which to interpolate the placeholder value
    `placeholder` - The value to be interpolated into the the sqlWhereString
    `dialect` - The dialect to apply
    `functionRegistry` - The registry of all sql functions
  Returns:
    The rendered sql fragment

### renderOrderByStringTemplate

    public static String renderOrderByStringTemplate(String sqlOrderByString,
                                                     Dialect dialect,
                                                     SQLFunctionRegistry functionRegistry)

  Takes order by clause provided in the mapping attribute and interpolates the alias. Handles asc, desc, SQL functions, quoted identifiers.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD